Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Class Report.SuppressedViolation

    java.lang.Object
      net.sourceforge.pmd.Report.SuppressedViolation

Enclosing class:
  Report

public static class Report.SuppressedViolation
extends java.lang.Object

Constructor Summary
`Report.SuppressedViolation(IRuleViolation rv, boolean isNOPMD)`

Method Summary
`IRuleViolation` | `getRuleViolation()`
`boolean` | `suppressedByAnnotation()`
`boolean` | `suppressedByNOPMD()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Report.SuppressedViolation

    public Report.SuppressedViolation(IRuleViolation rv,
                                      boolean isNOPMD)

Method Detail

### suppressedByNOPMD

    public boolean suppressedByNOPMD()

### suppressedByAnnotation

    public boolean suppressedByAnnotation()

### getRuleViolation

    public IRuleViolation getRuleViolation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.